package formes;

import java.awt.geom.Point2D;
import java.util.Objects;

public class Cercle extends FormeAbstraite {
	double rayon;
	public Cercle(Point2D p, double rayon) {
		super(p);
		this.rayon = rayon;
	}

	public double rayon() {
		return rayon;
	}

	public void changerRayon(double nouveauRayon) {
		rayon = nouveauRayon;
	}
	
	public double perimetre() {
		return 2 * Math.PI * rayon;
	}

	public double surface() {
		return Math.PI * rayon * rayon;
	}

	public String toString() {
		return super.toString() + " et de rayon " + rayon;
	}

	public boolean equals(Object o) {
		if (!(o instanceof Cercle))
			return false;
		Cercle c = (Cercle) o;
		return centreGravite.equals(c.centreGravite) && rayon == c.rayon;
	}

	public int hashCode() {
		return Objects.hash(centreGravite, rayon);
	}

}